catalog:
  title: MuJoCo

templates:
- github
- cmake
- base

variables:
  github.user: deepmind
  github.project: mujoco

  extra-provides:
  - nature: cmake
    target: mujoco
    
  cmake.options:
    - MUJOCO_BUILD_EXAMPLES=OFF
    - MUJOCO_BUILD_SIMULATE=OFF
    - '@{next-value|[]}'

versions:
- pattern: '^([0-9]+)\.([0-9]+)\.([0-9]+)$'
  variables:
    major: '${match:1}'
    minor: '${match:2}'
    patch: '${match:3}'
    branch: ${major}.${minor}.${patch}

    extra-provides:
    - nature: cmake
      target: mujoco
      version: ${branch}

